package edu.northwestern.cs.aqualab.cattle;

/**
 * Centralized location for globally-relevant constants. Their names should be
 * largely self-explanatory.
 */
public class Const {
    // The second try will be about 40 s after the first. The last will be at
    // least two weeks later.
    protected static long BASE_INTERVAL_MS = 40000L;
    protected static int MAX_REPORT_ATTEMPTS = 14;
    protected static final String REPORTING_THREAD_NAME = "CattleReportingThread";

    protected static final String KEYSTORE_PATH = "/wrangler.jks";

    public static final long DEFAULT_LOOP_DELAY = 400;
}
