package edu.northwestern.cs.aqualab.cattle.exception;

/**
 * Thrown when an action would leave the cattle library in an inconsistent
 * state, or when an action depends on some form of initialization which has not
 * occurred.
 */
public class CattleStateException extends RuntimeException {
    public CattleStateException() {}


    public CattleStateException(String message) {
        super(message);
    }

    private static final long serialVersionUID = 1L;
}
