package edu.northwestern.dasu.drools;

import edu.northwestern.dasu.measurement.tasks.TestTask.TestSubTask;
import edu.northwestern.dasu.measurement.types.TestType;

public abstract class FactTestResult extends FactTemplate  {

	private static final long serialVersionUID = 1L;
	
	public TestType testType;
	public TestSubTask tst = null;
	public boolean success = true;
	
	public FactTestResult(TestType testType) {
		this.testType = testType;
	}
	
	public TestSubTask getTst() {
		return tst;
	}
	
	public void setTst(TestSubTask tst) {
		this.tst = tst;
	}

	public TestType getTestType() {
		return testType;
	}

	public void setTestType(TestType testType) {
		this.testType = testType;
	}
	
	public void setSuccess(boolean success) {
		this.success = success;
	}

	public boolean isSuccess() {
		return success;
	}


}
