package edu.northwestern.cs.aqualab.cattle.logging;

/**
 * An interface for the three logging methods exported by {@link Logging}. See
 * the class Javadoc for more info on this.
 */
public interface Logger {
    public void error(String tag, String message, Object... args);


    public void warn(String tag, String message, Object... args);


    public void debug(String tag, String message, Object... args);
}
