package edu.northwestern.dasu.drools;

import edu.northwestern.cs.aqualab.cattle.jsonsimple.JSONObject;
import edu.northwestern.dasu.measurement.tasks.ProbeTask.ProbeSubTask;
import edu.northwestern.dasu.measurement.types.ProbeType;

public abstract class FactProbeResult extends FactTemplate  {

	private static final long serialVersionUID = 3L;
	public ProbeSubTask pst = null;
	public ProbeType probeType;
	public String target = null;
		
	public void setPst(ProbeSubTask pst) {
		this.pst = pst;
	}
	public ProbeSubTask getPst() {
		return pst;
	}
	
	public FactProbeResult(ProbeType probeType) {
		this.probeType = probeType;
	}

	public ProbeType getProbeType() {
		return probeType;
	}

	public void setProbeType(ProbeType probeType) {
		this.probeType = probeType;
	}	
	
	public void setTarget(String target) {
		this.target = target;
	}
	
	public String getTarget() {
		return target;
	} 
	
	public Object getField(String field) {
		
		try {
			return this.getClass().getField(field).get(this);
		} catch (SecurityException e) {
			e.printStackTrace();
		} catch (NoSuchFieldException e) {
			e.printStackTrace();
		} catch (IllegalArgumentException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		}
		
		return null;
		
	}

	public JSONObject toJSON() {

		JSONObject json = super.toJSON();
		json.remove("target");
		return json;
	}
	
	
}
