package edu.northwestern.dasu.dynamic.drools;

import edu.northwestern.dasu.drools.FactProbeResult;
import edu.northwestern.dasu.measurement.types.ProbeType;

public class FactPingProbeResult extends FactProbeResult{
	
	private static final long serialVersionUID = 1L;
	
	public String ip = null;
	public Double rtt = -1D;
	public int destType = 1;

	public FactPingProbeResult(String ip, Double rtt) {
		super(ProbeType.valueOf("PING"));
		this.ip = ip;
		this.rtt = rtt;
	}

	public String getIp() {
		return ip;
	}

	public Double getRtt() {
		return rtt;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public void setRtt(Double rtt) {
		this.rtt = rtt;
	}
	
	public int getDestType() {
		return destType;
	}

	public void setDestType(int destType) {
		this.destType = destType;
	}

	
}
